import Request from '@/utils/request/request-util';

/**
 * 表单组件分类-API接口
 *
 * @author fengshuonan
 * @date 2024/03/13 10:20
 */
export class FormComponentCategoryApi {

  /**
   * 获取列表
   *
   * @author fengshuonan
   * @date 2024/03/13 10:20
   */
  static list(params) {
    return Request.getAndLoadData('/formComponentCategory/list', params);
  }

  /**
   * 添加表单组件分类
   *
   * @author fengshuonan
   * @date 2024/03/13 10:20
   */
  static add(params) {
    return Request.post('/formComponentCategory/add', params);
  }

  /**
   * 编辑表单组件分类
   *
   * @author fengshuonan
   * @date 2024/03/13 10:20
   */
  static edit(params) {
    return Request.post('/formComponentCategory/edit', params);
  }

  /**
   * 删除单个表单组件分类
   *
   * @author fengshuonan
   * @date 2024/03/13 10:20
   */
  static delete(params) {
    return Request.post('/formComponentCategory/delete', params);
  }

  /**
   * 删除批量表单组件分类
   *
   * @author fengshuonan
   * @date 2024/03/13 10:20
   */
  static batchDelete(params) {
    return Request.post('/formComponentCategory/batchDelete', params);
  }

  /**
   * 表单组件分类详情
   *
   * @author fengshuonan
   * @date 2024/03/13 10:20
   */
  static detail(params) {
    return Request.getAndLoadData('/formComponentCategory/detail', params);
  }

}